package com.goafanti.weChat.service;

import java.util.List;
import java.util.Map;

import com.goafanti.weChat.bo.*;

public interface PublicReleaseService {

	Map<String, Object> addPublicRelease(InputPublicRelease in);

	Object listPublicRelease(InputPublicReleaseList in);


	/**
	 *
	 * @param id
	 * @param status 状态 0驳回 1发起 2同意 3 撤销 4技术驳回
	 * @param remarks
	 * @param type 0上级审核 1营销员审核
	 * @return
	 */
	int pushExaminePublicRelease(Integer id, Integer status, String remarks,Integer type);


	List<outPublicReleaseLog> listPublicReleaseLog(Integer id,String ufid);

	int updatePublicRelease(InputPublicRelease in);

	int pushPublicReleaseClockIn(Integer id,String photoUrl,Integer clockIn ,String clockInRemarks ,String uid);

	OutPublicRelease dtails(Integer id);

	Object publicReleaseStatistics(InputPublicStatistics in);

	Object publicReleaseListDtails(InputPublicDtails in);

	OutPublicReleaseAndDetails followDtails(String id);

	boolean checkTime(InputPublicRelease in);

	List<OutPublicStatistics> publicReleaseStatisticsList(InputPublicStatistics in);

	List<OutPublicDtails> publicReleaseListDtailsList(InputPublicDtails in);

    int addSupplement(Integer id, String supplement, String nextPlan);

    List<Map<String,Object>> selectOrderByUid(String uid);

	List<OutPublicRelease> publicByOrder(String orderNo);

    Object getMyNewPublic();

	int pushTechReject(Integer id, String remarks);

    int addAssistant(Integer id,String aid);

	int deleteAssistant(Integer id, String aid);

    boolean checkdeleteAssistant(Integer id, String aid);

	boolean checkaddAssistant(Integer id, String aid);

    int updateLocation(InputPublicRelease in);
}
